[Bug 1517257] Re: apport-retrace should install and use gdb for target release

Martin Pitt martin.pitt at ubuntu.com
Tue May 3 19:37:47 UTC 2016


Some preparation to avoid installing gdb-dbg: http://bazaar.launchpad.net/~apport-hackers/apport/trunk/revision/3075
Fix: http://bazaar.launchpad.net/~apport-hackers/apport/trunk/revision/3076

** Changed in: apport
       Status: New => Fix Released

** Changed in: apport (Ubuntu)
       Status: Triaged => Fix Committed

** Changed in: apport (Ubuntu)
     Assignee: (unassigned) => Martin Pitt (pitti)

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1517257

Title:
  apport-retrace should install and use gdb for target release

Status in Apport:
  Fix Released
Status in apport package in Ubuntu:
  Fix Committed

Bug description:
  apport-retrace will use the version of gdb installed on the system
  performing the retrace. This can cause issues retracing crash reports
  from releases that have a newer toolchain revision than the system
  performing the retrace. Subsequently, it would be better if apport-
  retrace were to install gdb into the sandbox being used for retracing
  and used that version of gdb for analyzing the core dump.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1517257/+subscriptions



More information about the foundations-bugs mailing list